# Get a Self-Ship Collection **GET /self_ship_collections/{self_ship_collection_id}** **Availability: Public Preview** _This endpoint is currently in public preview and available only to approved accounts._ _Please contact Arta to request access for your organization._ Retrieve an existing self-ship collection by its ID ## Servers - https://api.arta.io: https://api.arta.io () ## Parameters ### Headers - **Authorization** (string) Authorize your API calls with an Arta API token ### Path parameters - **self_ship_collection_id** (string) self_ship_collection_id parameter ## Responses ### 200 Successful Self-Ship Collection response #### Headers - **content-type** (string) - **x-arta-request-id** (string) A unique identifier for the Arta API call #### Body: application/json (object) - **closed_at** (string | null) A NaiveDatetime-formatted timestamp describing when the collection was closed - **collection_date** (string(date)) The pickup date in ISO 8601 format (`YYYY-MM-DD`). - **collection_time** (string) The pickup time in ISO 8601 format (`HH:MM:SS`). - **created_at** (string) A NaiveDatetime-formatted timestamp describing when the resource was created with microsecond precision - **id** (string(uuid)) The ID of the self-ship collection in UUID format - **location** (object) The pickup location details - **service** (object) Carrier service details - **shortcode** (string) A human-readable identifier for the collection, formatted as the organization's shortcode followed by a hyphen and six alphanumeric characters - **status** (string) The current status of the collection - **updated_at** (string) A NaiveDatetime-formatted timestamp describing when the resource was last updated with microsecond precision ### 404 Not Found #### Headers - **content-type** (string) - **x-arta-request-id** (string) A unique identifier for the Arta API call #### Body: application/json (object) - **errors** (object) [Powered by Bump.sh](https://bump.sh)